SIM Management
API Reference
Provisioning Extras

Provisioning Extras

Get available Provisioning Orders

Provisioning Orders are only available for Atlas networks. A Hireman network returns 409 Conflict with Not valid for this network.

Request

curl --location 'https://api.cellhire.com/api/account/{accountId}/network/{networkId}/provisioningOrder' \
--header 'Content-Type: application/json;charset=UTF-8' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjRBMDlENTFBMDhEOEUxMTU0OTkyODFDN...' \

Response

HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
  {
    "number": 12,
    "name": "Example PO",
    "displayName": "Example PO",
    "isPooled": false,
    "isNetworkAccountDefault": true,
    "hiremanCurrencyId": 1
  }
]

Get available Tariffs

This endpoint returns the tariffs available to the account for both Atlas and Hireman networks.

Request

curl --location 'https://api.cellhire.com/api/account/{accountId}/network/{networkId}/tariff' \
--header 'Content-Type: application/json;charset=UTF-8' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjRBMDlENTFBMDhEOEUxMTU0OTkyODFDN...' \

Response (Atlas Network)

HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
  "name": "Tariff Test",
  "number": 1,
  "isLegacy": true,
  "requiresDataBoltOn": true,
  "supportsFullPooling": true
}

Response (Hireman Network)

Hireman tariffs do not include pooling, legacy or BoltOn configuration.

HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
  "result": [
    {
      "name": "Tariff Test",
      "number": 1,
      "isLegacy": false,
      "requiresDataBoltOn": false,
      "supportsFullPooling": false,
      "configurationAttributes": null
    }
  ]
}

Get available BoltOns

BoltOns are only available for Atlas tariffs. A Hireman tariff returns 200 OK with an empty result.

Request

curl --location 'https://api.cellhire.com/api/account/{accountId}/tariff/{tariffNumber}/boltons' \
--header 'Content-Type: application/json;charset=UTF-8' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjRBMDlENTFBMDhEOEUxMTU0OTkyODFDN...' \

Response

HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
  "name": "BoltOn Test",
  "number": 1,
  "isDataBoltOn": true,
  "isLegacy": false,
  "isTemporal": false
}

Response (Hireman Tariff)

HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
  "result": [],
  "count": 0
}

Get available Public IP Groups

Public IP groups are not available for Hireman network provisioning.

Request

curl --location 'https://api.cellhire.com/api/account/{accountId}/PublicIpGroups/{networkId}' \
--header 'Content-Type: application/json;charset=UTF-8' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjRBMDlENTFBMDhEOEUxMTU0OTkyODFDN...' \

Response

HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
  {
    "id": 123,
    "number": 672733,
    "name": "Sample IP Group",
    "startIpAddress": "24.156.99.1",
    "endIpAddress": "24.156.99.254",
    "totalIpAddresses": 254,
    "availableIpAddresses": 254
  }
]

Get available Static IP Groups

Static IP groups are not available for Hireman network provisioning.

Request

curl --location 'https://api.cellhire.com/api/account/{accountId}/StaticIpGroups/{networkId}' \
--header 'Content-Type: application/json;charset=UTF-8' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjRBMDlENTFBMDhEOEUxMTU0OTkyODFDN...' \

Response

HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
  {
    "id": 123,
    "number": 672733,
    "name": "Sample IP Group",
    "startIpAddress": "10.0.0.1",
    "endIpAddress": "10.0.0.254",
    "totalIpAddresses": 254,
    "availableIpAddresses": 254
  }
]